Subject: Re: bug#641: format-time-string %Z does not work, starting with Emacs 22.2

From: "Lennart Borgman (gmail)" <[email-masked]>
Date: Thu, 07 Aug 2008 22:36:44 +0200

Eli Zaretskii wrote:
>> Date: Thu, 07 Aug 2008 22:14:10 +0200
>> From: "Lennart Borgman (gmail)" <[email-masked]>
>> CC: [email-masked], [email-masked]
>>
>>>> How many time zones are there?
>>> I see 87 on my machine.
>> Does that mean that there is a mapping one to many from the numeric 
>> format to the string format? How is that resolved?
> 
> Sorry, I'm not following: what numeric format? how is what resolved?

I guess I am missing something. And I express my self a bit lazy.

I mean that the time zone is known, it can be get with "%z". This gives 
things like "+0200". This is in essence a number.

I would expect there to be just a little bit more than 24 possible 
different return values from "%z". It would be 24 if all zones where 
whole hours different from UTC (or what it is called now). But since 
some zones uses half hours it could be more.

However 87 is a surprisingly high figure for me.